autofs-5.1.6 - move AUTOFS_LIB to end of build rule lines

From: Ian Kent <raven@themaw.net>

Move the macro for the autofs.a library to the end of build rule
lines in preparation to converting autofs.a to a shared library.

This results in no functional change.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG        |    1 +
 Makefile.rules   |    2 +-
 daemon/Makefile  |    2 +-
 modules/Makefile |   12 ++++++------
 4 files changed, 9 insertions(+), 8 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 23114e7f..dfffc156 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -71,6 +71,7 @@ xx/xx/2020 autofs-5.1.7
 - use master_list_empty() for list empty check.
 - add helper to construct mount point path.
 - check defaults_read_config() return.
+- move AUTOFS_LIB to end of build rule lines.
 
 07/10/2019 autofs-5.1.6
 - support strictexpire mount option.
diff --git a/Makefile.rules b/Makefile.rules
index 2ccb1f6e..ba694c83 100644
--- a/Makefile.rules
+++ b/Makefile.rules
@@ -71,5 +71,5 @@ LIBS += $(LIBCLOCK_GETTIME)
 	$(CC) $(CFLAGS) -S $<
 
 .c.so:
-	$(CC) $(SOLDFLAGS) $(CFLAGS) -o $*.so $< $(LDFLAGS) $(AUTOFS_LIB) $(LIBS)
+	$(CC) $(SOLDFLAGS) $(CFLAGS) -o $*.so $< $(LDFLAGS) $(LIBS) $(AUTOFS_LIB)
 	$(STRIP) $*.so
diff --git a/daemon/Makefile b/daemon/Makefile
index c602a915..28b94687 100644
--- a/daemon/Makefile
+++ b/daemon/Makefile
@@ -38,7 +38,7 @@ endif
 all: automount
 
 automount: $(OBJS) $(AUTOFS_LIB)
-	$(CC) $(DAEMON_LDFLAGS) -o automount $(OBJS) $(LDFLAGS) $(AUTOFS_LIB) $(LIBS)
+	$(CC) $(DAEMON_LDFLAGS) -o automount $(OBJS) $(LDFLAGS) $(LIBS) $(AUTOFS_LIB)
 	$(STRIP) automount
 
 master_tok.c: master_tok.l
diff --git a/modules/Makefile b/modules/Makefile
index 989c6c1c..f97e7cda 100644
--- a/modules/Makefile
+++ b/modules/Makefile
@@ -110,7 +110,7 @@ amd_parse.tab.o: amd_parse.tab.c amd_parse.tab.h
 
 parse_amd.so: parse_amd.c amd_parse.tab.o amd_tok.o
 	$(CC) $(SOLDFLAGS) $(CFLAGS) -o parse_amd.so \
-		parse_amd.c amd_parse.tab.o amd_tok.o $(LDFLAGS) $(AUTOFS_LIB) $(LIBS)
+		parse_amd.c amd_parse.tab.o amd_tok.o $(LDFLAGS) $(LIBS) $(AUTOFS_LIB)
 	$(STRIP) parse_amd.so
 
 #
@@ -118,17 +118,17 @@ parse_amd.so: parse_amd.c amd_parse.tab.o amd_tok.o
 #
 lookup_yp.so: lookup_yp.c
 	$(CC) $(SOLDFLAGS) $(CFLAGS) $(NSLCFLAGS) -o lookup_yp.so \
-		lookup_yp.c $(LDFLAGS) $(AUTOFS_LIB) $(LIBS) $(NSLLIB)
+		lookup_yp.c $(LDFLAGS) $(LIBS) $(NSLLIB) $(AUTOFS_LIB)
 	$(STRIP) lookup_yp.so
 
 lookup_nisplus.so: lookup_nisplus.c
 	$(CC) $(SOLDFLAGS) $(CFLAGS) $(NSLCFLAGS) -o lookup_nisplus.so \
-		lookup_nisplus.c $(LDFLAGS) $(AUTOFS_LIB) $(LIBS) $(NSLLIB)
+		lookup_nisplus.c $(LDFLAGS) $(LIBS) $(NSLLIB) $(AUTOFS_LIB)
 	$(STRIP) lookup_nisplus.so
 
 lookup_hesiod.so: lookup_hesiod.c
 	$(CC) $(SOLDFLAGS) $(CFLAGS) $(HESIOD_FLAGS) -o lookup_hesiod.so \
-		lookup_hesiod.c $(LDFLAGS) $(AUTOFS_LIB) $(LIBHESIOD) $(LIBRESOLV) $(LIBS)
+		lookup_hesiod.c $(LDFLAGS) $(LIBHESIOD) $(LIBRESOLV) $(LIBS) $(AUTOFS_LIB)
 	$(STRIP) lookup_hesiod.so
 
 cyrus-sasl.o: cyrus-sasl.c
@@ -140,11 +140,11 @@ cyrus-sasl-extern.o: cyrus-sasl-extern.c
 lookup_ldap.so: lookup_ldap.c dclist.o base64.o $(SASL_OBJ)
 	$(CC) $(SOLDFLAGS) $(CFLAGS) $(LDAP_FLAGS) -o lookup_ldap.so \
 		lookup_ldap.c dclist.o base64.o $(SASL_OBJ) \
-		$(LDFLAGS) $(AUTOFS_LIB) $(LIBLDAP) $(LIBRESOLV) $(LIBS)
+		$(LDFLAGS) $(LIBLDAP) $(LIBRESOLV) $(LIBS) $(AUTOFS_LIB)
 	$(STRIP) lookup_ldap.so
 
 mount_nfs.so: mount_nfs.c replicated.o
 	$(CC) $(SOLDFLAGS) $(CFLAGS) -o mount_nfs.so \
-		mount_nfs.c replicated.o $(LDFLAGS) $(AUTOFS_LIB) $(LIBS)
+		mount_nfs.c replicated.o $(LDFLAGS) $(LIBS) $(AUTOFS_LIB)
 	$(STRIP) mount_nfs.so
 
